Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011182ScribusLanguage Toolspublic2012-11-21 08:542014-07-23 21:07
Reporterchristoph_s 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionfixed 
Platformx86_64OSLinuxOS VersionOpenSUSE 12.1
Product Version1.4.2.svn 
Target Version1.7 milestoneFixed in Version 
Summary0011182: [Multi-threading] Launching the new spellchecker takes extremely long
DescriptionEven on a really fast machine, launching the new spellchecker takes about 30 seconds or longer to launch. It also slows down other programs' performances, so a resource hog may be hidden somewhere in the code.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0029241)
cbradney (administrator)
2012-11-21 22:27

Works fine here, but the issue is the checking is being done before the GUI opens. We might want to add a progress indicator.
(0029248)
christoph_s (administrator)
2012-11-22 08:21

If spellchecking 5 paragraphs takes *that* long, how is it possible that word processors, web browsers, or text editors can do this with no recognisable delay?
(0032850)
Kunda (manager)
2014-07-21 01:58

Non-issue on OSX 1.5svn r19357
Changing to resolved unless someone reports differently.
(0032868)
christoph_s (administrator)
2014-07-21 07:15

Kunda, please try to not be over-eager in closing bugs ;) Craig defined the problem and mentioned a possible addition, and the issue persists on Linux and Windows.
(0032873)
Kunda (manager)
2014-07-21 07:49

Christoph_s, ah..good point. My mistake. Will be more vigilant. :)
(0032874)
Kunda (manager)
2014-07-21 07:51

Changing to confirmed and moving on to roadmap.
(0032905)
JLuc (updater)
2014-07-22 05:58

I've not had that issue on any of the *ubuntu machines i've been working on.
(0032921)
cbradney (administrator)
2014-07-22 22:40

The only way other apps do this is with multithreading. I'm not willing to open that kettle of worms yet, and likely not for 1.5.1. We'll get heaps of crashes we cannot fix easily.
(0032930)
Kunda (manager)
2014-07-23 21:07

craig, hence moving to next major dev version (1.7 milestone)

- Issue History
Date Modified Username Field Change
2012-11-21 08:54 christoph_s New Issue
2012-11-21 09:39 jghali Target Version 1.4.2 =>
2012-11-21 22:27 cbradney Note Added: 0029241
2012-11-22 08:21 christoph_s Note Added: 0029248
2014-07-21 01:58 Kunda Note Added: 0032850
2014-07-21 01:58 Kunda Status new => resolved
2014-07-21 01:58 Kunda Resolution open => fixed
2014-07-21 01:58 Kunda Assigned To => Kunda
2014-07-21 02:22 Kunda Assigned To Kunda =>
2014-07-21 07:15 christoph_s Note Added: 0032868
2014-07-21 07:15 christoph_s Status resolved => new
2014-07-21 07:49 Kunda Note Added: 0032873
2014-07-21 07:51 Kunda Note Added: 0032874
2014-07-21 07:51 Kunda Status new => confirmed
2014-07-21 07:51 Kunda Target Version => 1.5.1
2014-07-22 05:58 JLuc Note Added: 0032905
2014-07-22 22:40 cbradney Note Added: 0032921
2014-07-23 21:07 Kunda Note Added: 0032930
2014-07-23 21:07 Kunda Target Version 1.5.1 => 1.7 milestone
2014-07-23 21:07 Kunda Summary Launching the new spellchecker takes extremely long => [Multi-threading] Launching the new spellchecker takes extremely long



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker